<?php
if (! isset($key)):
    $key = 0;
endif;
?>
<div class="clone-row<?php echo (isset($firstRow) && $firstRow) ? ' disabled-row' : ''; ?>">
    <fieldset class="collapsable-fieldset open">
        <legend><?php echo $this->InflectorExt->camelToHumanize($type); ?></legend>
        <div>
        <?php
            echo $this->Form->addField(
                $blockName . '.' . $key . '.id',
                array(
                    'type' => 'hidden',
                    'class' => 'block-id',
                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                )
            );

            $deleteLink = '<a href="" class="delete-item btn btn-sm btn-danger delete-block"><i class="fa fa-times"></i> Delete Block</a>';

            echo $this->Form->addField(
                $blockName . '.' . $key . '.name',
                array(
                    'type' => 'string',
                    'class' => 'block-name',
                    'after' => $deleteLink,
                    'displayInfo' => 'Will default to main if left blank',
                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                )
            );

            echo $this->Form->addField(
                $blockName . '.' . $key . '.slots',
                array(
                    'type' => 'float',
                    'min' => -1,
                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                )
            );

            echo $this->Form->addField(
                $blockName . '.' . $key . '.blockFields',
                array(
                    'type' => 'multicheck',
                    'label' => 'Select Fields',
                    'options' => $attachmentBlockFields[$blockName],
                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                )
            );

            // manual hidden field so we can added protect-value
            echo $this->Form->addField(
                $blockName . '.' . $key . '.is_active',
                array(
                    'type' => 'hidden',
                    'value' => 0,
                    'class' => 'protect-value',
                    'id' => '_' . $blockName . '0IsActive',
                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                )
            );
            echo $this->Form->addField(
                $blockName . '.' . $key . '.is_active',
                array(
                    'type' => 'boolean',
                    'class' => 'protect-value',
                    'hiddenField' => false, // turn off so we can manually add one with protect-value class
                    'disabled' => (isset($firstRow) && $firstRow) ? true : false
                )
            );
        ?>
        </div>
    </fieldset>

</div>